var LineVo = /** @class */ (function () {
    function LineVo() {
    }
    LineVo.fromJson = function (json) {
        var lvo = new LineVo();
        lvo.id = json.id;
        lvo.startH = Number.parseFloat(json.startH);
        lvo.endH = Number.parseFloat(json.endH);
        lvo.startLng = Number.parseFloat(json.startLng);
        lvo.startLat = Number.parseFloat(json.startLat);
        lvo.endLng = Number.parseFloat(json.endLng);
        lvo.endLat = Number.parseFloat(json.endLat);
        lvo.plCode = json.plCode;
        lvo.spoint = json.spoint;
        lvo.epoint = json.epoint;
        lvo.color = json.color || 'rgb(0,255,255)';
        lvo.pdiameter = json.pdiameter || '0.1';
        return lvo;
    };
    return LineVo;
}());
export default LineVo;
